# Uses of Interface
java.sql.Blob

Packages that use Blob
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of Blob in java.sql

Methods in java.sql that return Blob
Modifier and Type
Method
Description
`Blob`
Connection.`createBlob()`
Constructs an object that implements the `Blob` interface.
`Blob`
CallableStatement.`getBlob(int parameterIndex)`
Retrieves the value of the designated JDBC `BLOB` parameter as a `Blob` object in the Java programming language.
`Blob`
CallableStatement.`getBlob(String parameterName)`
Retrieves the value of a JDBC `BLOB` parameter as a `Blob` object in the Java programming language.
`Blob`
ResultSet.`getBlob(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
`Blob`
ResultSet.`getBlob(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
`Blob`
SQLInput.`readBlob()`
Reads an SQL `BLOB` value from the stream and returns it as a `Blob` object in the Java programming language.
Methods in java.sql with parameters of type Blob
Modifier and Type
Method
Description
`long`
Blob.`position(Blob pattern, long start)`
Retrieves the byte position in the `BLOB` value designated by this `Blob` object at which `pattern` begins.
`void`
CallableStatement.`setBlob(String parameterName, Blob x)`
Sets the designated parameter to the given `java.sql.Blob` object.
`void`
PreparedStatement.`setBlob(int parameterIndex, Blob x)`
Sets the designated parameter to the given `java.sql.Blob` object.
`void`
ResultSet.`updateBlob(int columnIndex, Blob x)`
Updates the designated column with a `java.sql.Blob` value.
`void`
ResultSet.`updateBlob(String columnLabel, Blob x)`
Updates the designated column with a `java.sql.Blob` value.
`void`
SQLOutput.`writeBlob(Blob x)`
Writes an SQL `BLOB` value to the stream.

## Uses of Blob in javax.sql

Methods in javax.sql with parameters of type Blob
Modifier and Type
Method
Description
`void`
RowSet.`setBlob(int i, Blob x)`
Sets the designated parameter in this `RowSet` object's command with the given `Blob` value.
`void`
RowSet.`setBlob(String parameterName, Blob x)`
Sets the designated parameter to the given `java.sql.Blob` object.

## Uses of Blob in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Blob
Modifier and Type
Method
Description
`void`
BaseRowSet.`setBlob(int parameterIndex, Blob x)`
Sets the designated parameter to the given `Blob` object in the Java programming language.
`void`
BaseRowSet.`setBlob(String parameterName, Blob x)`
Sets the designated parameter to the given `java.sql.Blob` object.

## Uses of Blob in javax.sql.rowset.serial

Classes in javax.sql.rowset.serial that implement Blob
Modifier and Type
Class
Description
`class`
`SerialBlob`
A serialized mapping in the Java programming language of an SQL `BLOB` value.
Methods in javax.sql.rowset.serial that return Blob
Modifier and Type
Method
Description
`Blob`
SQLInputImpl.`readBlob()`
Retrieves the `BLOB` value at the head of this `SQLInputImpl` object as a `Blob` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type Blob
Modifier and Type
Method
Description
`long`
SerialBlob.`position(Blob pattern, long start)`
Returns the position in this `SerialBlob` object where the given `Blob` object begins, starting the search at the specified position.
`void`
SQLOutputImpl.`writeBlob(Blob x)`
Writes a `Blob` object in the Java programming language to this `SQLOutputImpl` object.
Constructors in javax.sql.rowset.serial with parameters of type Blob
Modifier
Constructor
Description
``
`SerialBlob(Blob blob)`
Constructs a `SerialBlob` object that is a serialized version of the given `Blob` object.